package musik.geg;

import java.util.ArrayList;
import java.util.List;

public class Musiktitel {
	
	private static List<Person> bspPersonen = new ArrayList<>();
	private static Musiktitel[] bspTitel = new Musiktitel[3];
	
	static {
		for(int i=0; i<bspTitel.length; i++) bspTitel[i] = new Musiktitel("  " + (char)('A'+i));
		bspPersonen.add(new Person(bspTitel,new int[][] {{0,-1,-1},{1,0,-1},{1,1,0}}));
		bspPersonen.add(new Person(bspTitel,new int[][] {{0,-3,2},{9,0,3},{-1,-2,0}}));
		bspPersonen.add(new Person(bspTitel,new int[][] {{0,1,1},{-1,0,0},{-1,0,0}}));
		bspPersonen.add(new Person(bspTitel,new int[][] {{0,0,-1},{0,0,-2},{4,3,0}}));
	}
	
	private static int index = 10;
	
	private String name;

	Musiktitel(String name) {
		this.name = name;
	}
	
	public Musiktitel() {
		this("t"+index);
		index++;
	}
	
	public String toString() {
		return name;
	}

	public static List<Person> getBeispielPersonen() {
		return new ArrayList<>(bspPersonen);
	}
	
	public static Musiktitel[] getBeispielTitel() {
		return bspTitel.clone();
	}
	
	public static void printRanking(MusikRanking ranking, Musiktitel [] titel) {
		System.out.println("\n\nRanking:\n");
		System.out.print("    ");
		for(Musiktitel mt : titel) System.out.print(mt + " ");
		System.out.println();
		for(Musiktitel mt1 : titel) {
			System.out.print(mt1);
			for(Musiktitel mt2 : titel) {
				System.out.print(String.format("%4d", ranking.compare(mt1, mt2)));
			}
			System.out.println();
		}
		
	}
	
}
