package musik.geg;

import java.util.HashMap;
import java.util.Map;
import java.util.Random;

public class Person {
	
	private static Random rand = new Random();

	private Map<Musiktitel,Map<Musiktitel,Integer>> ranking = new HashMap<>();
	
	Person(Musiktitel[] bspTitel, int[][] rank) {
		for(int i=0; i<bspTitel.length; i++) for(int j=0; j<bspTitel.length; j++) {
			add(bspTitel[i],bspTitel[j],rank[i][j]);
		}
	}
	
	public Person() {}

	private void add(Musiktitel tit1, Musiktitel tit2, int rank) {
		if(!ranking.containsKey(tit1)) ranking.put(tit1, new HashMap<>());
		Map<Musiktitel,Integer> r2 = ranking.get(tit1);
		r2.put(tit2,rank);	
	}

	int getRanking(Musiktitel tit1, Musiktitel tit2) {
		if(tit1 == tit2) return 0;
		if(!ranking.containsKey(tit1)) ranking.put(tit1, new HashMap<>());
		Map<Musiktitel,Integer> r2 = ranking.get(tit1);
		if(!r2.containsKey(tit2)) {
			int val1 = rand.nextInt(10);
			int val2 = rand.nextInt(10);
			if(val1 == 0 || val2 == 0) {
				val1 = 0;
				val2 = 0;
			} else if(rand.nextBoolean()) {
				val1 = -val1;
			} else {
				val2 = -val2;
			}
			add(tit1,tit2,val1);
			add(tit2,tit1,val2);
		}
		return r2.get(tit2);	
	}

}
